/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

/* togmenu */

#togMenu {
  position: relative;
  width: 30px;
  aspect-ratio: 1/1;
  z-index: 4;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: stretch;
  -ms-flex-align: stretch;
  align-items: stretch;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -ms-flex-direction: row;
  flex-direction: row;
  padding: 0;
  cursor: pointer;
}

#togMenu.open {
  width: auto;
}

#togMenu .burger {
  display: block;
  width: 1.875rem;
  height: 1.5rem;
  -webkit-transform-origin: center;
  -ms-transform-origin: center;
  transform-origin: center;
}

.burger span {
  -webkit-transition: all 0.3s;
  -o-transition: all 0.3s;
  -webkit-transition: all 0.1s;
  -o-transition: all 0.1s;
  transition: all 0.1s;
  position: absolute;
  left: 0;
  width: 100%;
  height: 2px;
  background: var(--blanc);
  border: 0px solid;
  -webkit-transform-origin: center;
  -ms-transform-origin: center;
  transform-origin: center;
}

#burger span#t1 {
  top: 15%;
}

#burger span#t2 {
  top: calc(50%);
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}

#burger span#t3 {
  bottom: 15%;
}

#togMenu.open .burger span {
  width: 131%;
  height: 3px;
  -webkit-transform-origin: center;
  -ms-transform-origin: center;
  transform-origin: center;
}

#togMenu.open #burger span#t1 {
  -webkit-transform-origin: top left;
  -ms-transform-origin: top left;
  transform-origin: top left;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
  top: 0;
}

#togMenu.open #burger span#t2 {
  display: none;
}

#togMenu.open #burger span#t3 {
  -webkit-transform-origin: bottom left;
  -ms-transform-origin: bottom left;
  transform-origin: bottom left;
  -webkit-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  transform: rotate(-45deg);
  bottom: 0;
}

/* header */

#menu_principal {
  display: none;
}

#menu_principal ul {
  list-style: none;
  padding: 0;
}

#menu_principal ul a {
  text-transform: uppercase;
  text-decoration: none;
  color: var(--blanc);
  font-weight: var(--normal);
  display: block;
}

#menu_principal.open {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  top: var(--header-height);
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  left: 0;
  position: absolute;
  z-index: 3;
  background-color: var(--primary);
  height: calc(100vh - var(--header-height));
  width: 100%;
  padding-left: calc((100% - var(--container-width)) / 2);
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  -webkit-box-align: start;
  -ms-flex-align: start;
  align-items: flex-start;
  overflow-y: scroll;
}

#menu_principal nav {
  padding-top: 3.62rem;
  padding-bottom: 3.62rem;
  width: 100%;
}

#site-header {
  width: 100%;
  z-index: 4;
  position: fixed;
  top: 0;
  left: 0;
  height: var(--header-height);
}

#site-header .menu_bar {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  background-color: var(--primary);
  border: 2px solid var(--blanc);
  padding: 0 var(--gap-312);
  height: 100%;
  width: 100%;
}

.menu_contact {
  line-height: normal;
  font-size: 1.25rem;
  text-align: center;
  text-transform: uppercase;
  color: var(--blanc);
  letter-spacing: -0.045rem;
  font-weight: var(--bold);
  text-decoration: none;
}

#menu_principal .top-menu > li,
#menu_principal .top-menu > li > a {
  position: relative;
}

#menu_principal .top-menu > li > a {
  padding: 1rem 5.31rem 1rem calc(var(--gap-125) + 16px);
  line-height: 175%;
  font-size: var(--fs-l);
  font-weight: var(--bold);
  position: relative;
}

#menu_principal .top-menu:has(> li:hover) > li {
  opacity: 0.6;
}

#page #menu_principal .top-menu > li:hover {
  opacity: 1;
}

#menu_principal .top-menu > li > a:before {
  width: 12px;
  height: 12px;
  border: 2px solid var(--blanc);
  border-radius: 50%;
  content: "";
  top: 50%;
  left: 0;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  position: absolute;
  background-color: var(--tertiary);
}

#menu_principal .top-menu > li > a:hover:before {
  background-color: var(--blanc);
}

#menu_principal .sub-menu > li > a {
  padding: 0;
  padding-left: 1.88rem;
  font-size: 1.8rem;
  line-height: normal;
}

@media (max-width: 1023px) {
  #menu_principal .sub-menu > li > a {
    margin-bottom: 1rem;
  }
}

@media (min-width: 1024px) {
  #menu_principal .menu-item-has-children:hover::after {
    position: absolute;
    content: "";
    width: 50px;
    aspect-ratio: 70/46;
    background: url("../images/custom/arrow-tertiary-large.svg") no-repeat
      center center / contain;
    top: 50%;
    right: calc((8rem - 70px) / 2);
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
  }

  #menu_principal .sub-menu {
    margin-top: 0.6em;
  }

  #menu_principal .sub-menu > li > a {
    font-size: 1.1em;
    padding: 1rem 0rem 1rem 3.56rem;
  }

  #menu_principal li.menu-item-has-children > a {
    padding-right: 8rem;
  }

  #menu_principal .sub-menu > li:not(:last-of-type) {
    margin-bottom: 1rem;
  }

  #menu_principal .sub-menu > li > a {
    position: relative;
  }

  #menu_principal .sub-menu > li > a:before {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    display: inline-block;
    margin-right: 0.5em;
    background-color: var(--blanc);
    content: "";
    top: 50%;
    left: initial;
    position: absolute;
    -webkit-transform: translate(calc(-100% - 0.5em), -50%);
    -ms-transform: translate(calc(-100% - 0.5em), -50%);
    transform: translate(calc(-100% - 0.5em), -50%);
    /* transform: translateY(-50%); */
  }
}

@media (min-width: 1536px) {
}

/* cta */

.cta_container_mobile {
  padding-right: 3.62rem;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  gap: var(--gap-125);
  margin-left: auto;
  padding-bottom: 4rem;
}

@media (min-width: 768px) {
  .cta_container_mobile {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
  }
}

@media (max-width: 1023px) {
  .hide_header #site-header {
    top: -100%;
    -webkit-transition: top 0.4s ease;
    -o-transition: top 0.4s ease;
    transition: top 0.4s ease;
  }

  .home:not(.scrollingUp):not(.scrolled),
  .home.scrollingUp:not(.scrolled) .entete_home {
    margin-top: var(--header-height);
    -webkit-transition: top 0.4s ease;
    -o-transition: top 0.4s ease;
    transition: top 0.4s ease;
  }

  .home.hide_header .entete_home {
    -webkit-transition: top 0.4s ease;
    -o-transition: top 0.4s ease;
    transition: top 0.4s ease;
    margin-top: 0;
  }
}

@media (min-width: 1024px) {
  /* header */
  #site-header {
    width: var(--header-width);
    height: 100%;
  }

  #site-header .menu_bar {
    border-width: 3px;
    position: relative;
    height: 100%;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    padding: var(--gap-312) 0;
    z-index: 6;
  }

  .menu_contact {
    font-size: 1.2rem;
  }

  #menu_principal.open {
    top: 0;
    left: var(--header-width);
    width: calc(100vw - var(--header-width));
    height: 100%;
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: flex-start;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
  }

  #menu_principal nav {
    padding: 3.62rem 3.62rem 2.5rem 3.62rem;
    width: 100%;
  }

  #menu_principal .sub-menu {
    display: none;
    position: absolute;
    top: 0;
    left: 100%;
    width: 100%;
  }

  #menu_principal ul.top-menu > li:hover .sub-menu {
    display: block;
  }

  /* menu gauche */

  #menu_principal .top-menu {
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
  }
}

@media (min-width: 1280px) {
  #menu_principal nav {
    padding-left: 5.62rem;
    padding-right: 5.62rem;
  }

  .cta_container_mobile {
    padding-right: 5.62rem;
  }

  .menu_contact {
    font-size: 1.25rem;
  }
}

@media (min-width: 1536px) {
  #menu_principal nav {
    padding-left: 7.62rem;
    padding-right: 7.62rem;
  }

  .cta_container_mobile {
    padding-right: 7.62rem;
  }

  #menu_principal .sub-menu > li > a {
    font-size: 1.75rem;
  }

  #menu_principal .top-menu > li > a {
    padding: 1rem 5.31rem 1rem calc(var(--gap-125) + 20px);
  }

  #menu_principal .top-menu > li > a:before {
    border-width: 3px;
    width: 14px;
    height: 14px;
  }

  #menu_principal .top-menu > li > a {
    padding: 2rem 5.31rem 2rem calc(var(--gap-125) + 20px);
  }

  #menu_principal li.menu-item-has-children > a {
    padding-right: 8rem;
  }

  #menu_principal .sub-menu {
    margin-top: calc(1rem + 0.6em);
  }
}

/* footer */

footer {
  background: var(--degrade);
  padding-top: var(--gap-312);
  padding-bottom: var(--gap-312);
  border-top: 3px solid var(--blanc);
  border-right: 3px solid var(--blanc);
}

footer .container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  row-gap: var(--gap-625);
}

footer .container .logo {
  max-width: 210px;
}

footer .contact .phone + a,
footer .contact .address + .phone {
  margin-top: var(--gap-125);
}

footer .sns a + a,
footer .contact a:not(.phone) + a {
  margin-top: var(--gap-062);
}

footer .horaires p,
footer .horaires span,
footer .address p,
footer .address span {
  line-height: normal;
  text-transform: uppercase;
  color: var(--blanc);
}

footer .horaires span,
footer .address span {
  padding-left: calc(12px + var(--gap-062));
  font-size: 1.875rem;
  font-weight: var(--normal);
  margin-bottom: var(--gap-062);
  display: inline-block;
  position: relative;
}

footer .horaires span:before,
footer .address span:before {
  content: "";
  display: inline-block;
  position: absolute;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  left: 0;
  width: 9px;
  height: 9px;
  border-radius: 50%;
  border: 2px solid var(--secondary);
}

footer .horaires p,
footer .address p {
  font-weight: var(--normal);
}

footer .contact .phone {
  display: block;
  font-size: 1.875rem;
  font-weight: var(--extra-bold);
  line-height: 100%;
  color: var(--blanc);
  text-decoration: none;
}

footer .horaires + .sns {
  margin-top: var(--gap-125);
}

#page footer .bouton:not(:hover) {
  background-image: none;
  border: 2px solid var(--blanc);
  background-color: transparent;
  color: var(--blanc);
}

#page footer .sns .bouton {
  padding-left: calc(0.94rem + 0.62rem + 26px);
}
#page footer .sns .bouton.reseau_facebook:not(:hover) {
  background-image: none;
  background: url(../images/custom/facebook.svg) no-repeat 0.94rem center /
    contain;
  background-size: 26px 26px;
}

#page footer .sns .bouton.reseau_facebook:hover {
  background: url(../images/custom/facebook.svg) no-repeat 0.94rem center /
      contain,
    var(--primary);
  background-size: 26px 26px, 100% 100%;
}

#page footer .sns .bouton.reseau_twitter:not(:hover) {
  background-image: none;
  background: url(../images/custom/x.svg) no-repeat 0.94rem center / contain;
  background-size: 26px 26px;
}

#page footer .sns .bouton.reseau_twitter:hover {
  background: url(../images/custom/x.svg) no-repeat 0.94rem center / contain,
    var(--primary);
  background-size: 26px 26px, 100% 100%;
}

#page footer .sns .bouton.reseau_linkedin:not(:hover) {
  background-image: none;
  background: url(../images/custom/linkedin.svg) no-repeat 0.94rem center /
    contain;
  background-size: 26px 26px;
}

#page footer .sns .bouton.reseau_linkedin:hover {
  background: url(../images/custom/linkedin.svg) no-repeat 0.94rem center /
      contain,
    var(--primary);
  background-size: 26px 26px, 100% 100%;
}

/*
#page footer .sns .bouton:nth-child(1):not(:hover) {
  background-image: none;
  background: url(../images/custom/facebook.svg) no-repeat 0.94rem center /
    contain;
  background-size: 26px 26px;
}

#page footer .sns .bouton:nth-child(1):hover {
  background: url(../images/custom/facebook.svg) no-repeat 0.94rem center /
      contain,
    -webkit-gradient(linear, left top, left bottom, from(var(--secondary)), to(var(--secondary))),
    -webkit-gradient(linear, left top, left bottom, from(var(--secondary)), to(var(--secondary)));
  background: url(../images/custom/facebook.svg) no-repeat 0.94rem center /
      contain,
    -o-linear-gradient(var(--secondary), var(--secondary)),
    -o-linear-gradient(var(--secondary), var(--secondary));
  background: url(../images/custom/facebook.svg) no-repeat 0.94rem center /
      contain,
    linear-gradient(var(--secondary), var(--secondary)),
    linear-gradient(var(--secondary), var(--secondary));
  background-size: 26px 26px, 100% 100%, 100% 100%;
}

#page footer .sns .bouton:nth-child(2):not(:hover) {
  background-image: none;
  background: url(../images/custom/x.svg) no-repeat 0.94rem center / contain;
  background-size: 26px 26px;
}

#page footer .sns .bouton:nth-child(2):hover {
  background: url(../images/custom/x.svg) no-repeat 0.94rem center / contain,
    -webkit-gradient(linear, left top, left bottom, from(var(--secondary)), to(var(--secondary))),
    -webkit-gradient(linear, left top, left bottom, from(var(--secondary)), to(var(--secondary)));
  background: url(../images/custom/x.svg) no-repeat 0.94rem center / contain,
    -o-linear-gradient(var(--secondary), var(--secondary)),
    -o-linear-gradient(var(--secondary), var(--secondary));
  background: url(../images/custom/x.svg) no-repeat 0.94rem center / contain,
    linear-gradient(var(--secondary), var(--secondary)),
    linear-gradient(var(--secondary), var(--secondary));
  background-size: 26px 26px, 100% 100%, 100% 100%;
}

#page footer .sns .bouton:nth-child(3):not(:hover) {
  background-image: none;
  background: url(../images/custom/linkedin.svg) no-repeat 0.94rem center /
    contain;
  background-size: 26px 26px;
}

#page footer .sns .bouton:nth-child(3):hover {
  background: url(../images/custom/linkedin.svg) no-repeat 0.94rem center /
      contain,
    -webkit-gradient(linear, left top, left bottom, from(var(--secondary)), to(var(--secondary))),
    -webkit-gradient(linear, left top, left bottom, from(var(--secondary)), to(var(--secondary)));
  background: url(../images/custom/linkedin.svg) no-repeat 0.94rem center /
      contain,
    -o-linear-gradient(var(--secondary), var(--secondary)),
    -o-linear-gradient(var(--secondary), var(--secondary));
  background: url(../images/custom/linkedin.svg) no-repeat 0.94rem center /
      contain,
    linear-gradient(var(--secondary), var(--secondary)),
    linear-gradient(var(--secondary), var(--secondary));
  background-size: 26px 26px, 100% 100%, 100% 100%;
}
*/
.join {
  background-color: var(--secondary);
  border-radius: var(--rounded);
  padding: 3.12rem;
}

.join span.title {
  color: var(--blanc);
  font-weight: var(--normal);
  font-size: calc(var(--fs-xl) * 0.8333);
  line-height: 90%;
  margin-bottom: 2.5rem;
  display: block;
}

.join a {
  display: block;
  text-decoration: none;
  font-size: calc(var(--fs-base) + 0.1rem);
  line-height: 100%;
  color: var(--blanc);
  padding-right: calc(1.31rem + 2.5rem + 37px);
  position: relative;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
}

.join a:after {
  display: block;
  content: "";
  width: 44px;
  height: 44px;
  border: 3px solid var(--blanc);
  border-radius: 50%;
  position: absolute;
  top: 50%;
  right: 0;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}

.join a:hover:after {
  background-color: var(--blanc);
}

footer .vertical_line {
  display: none;
}

@media (min-width: 1024px) and (max-width: 1535px) {
  footer .container {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr var(--gap-625) 1fr;
    grid-template-columns: 1fr 1fr;
    gap: var(--gap-625);
  }
}

@media (min-width: 1536px) {
  footer .container {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: stretch;
    -ms-flex-align: stretch;
    align-items: stretch;
  }

  footer .vertical_line {
    display: block;
    width: 3px;
    background-color: var(--blanc);
  }

  footer .logo {
    max-width: 15vw;
  }

  .join {
    width: 20rem;
  }
}

@media (min-width: 1536px) {
  footer .contact .phone {
    font-size: 1.875rem;
  }

  #page footer .bouton {
    font-size: var(--fs-base);
  }
}

#sub_footer {
  background: var(--degrade);
  border-bottom: 3px solid var(--blanc);
  border-right: 3px solid var(--blanc);
}

#sub_footer .container {
  padding: var(--gap-125) 0;
  border-top: 3px solid var(--blanc);
}

#sub_footer ul {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  list-style-type: none;
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  padding: 0;
}

#sub_footer li {
  padding: 0 var(--gap-125);
  border-left: 1px solid var(--blanc);
  line-height: 150%;
  font-size: var(--fs-base);
  color: var(--blanc);
}

#sub_footer li a {
  display: inline-block;
  position: relative;
  text-decoration: none;
  padding-right: calc(1.25rem + 9px + 1.25rem);
}

#sub_footer li a:after {
  display: block;
  position: absolute;
  top: 50%;
  right: 1.25rem;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  content: "";
  width: 9px;
  height: 10px;
  background: url("../images/custom/arrow-blanc.svg") no-repeat center center /
    contain;
}

#sub_footer li a:hover:after {
  background: url("../images/custom/arrow-blanc-hover.svg") no-repeat center
    center / contain;
}

#sub_footer li:last-child {
  border-right: 1px solid var(--blanc);
}

@media (min-width: 1024px) {
  #sub_footer li {
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
  }

  #sub_footer li a {
    max-width: 180px;
    word-wrap: normal;
  }
}

@media (min-width: 1536px) {
  #sub_footer li {
    font-size: var(--fs-base);
  }
}
